DeltaCloud
  1. DeltaCloud
  2. DTACLOUD-146

Deltacloud API fails to display t1.micro as the compatible hwp matches for ebs backed ami's in ec2 setup

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Component/s: Server
    • Labels:
      None
    • Environment:
      Deltacloud API - 0.5.0
      OS - Fedora, RHEL
      Setup - EC2
      commit - 58372c1d2144c196f006ff95b1868a10dc73ef2c

      Description

      Deltacloud API fails to display "t1.micro" as compatible hwp matches for EBS backed ami's (both i386 & X86_64 architecture).
      Refer the screen shot "ebs-1.png" and "ebs-2.png" for more info

      1. ebs-2.png
        37 kB
        Ramesh A
      2. ebs-1.png
        37 kB
        Ramesh A

        Activity

        Hide
        David Lutterkort added a comment -

        That is correct. m1.large is 64-bit only. The bug is that t1.micro is not being offered

        Show
        David Lutterkort added a comment - That is correct. m1.large is 64-bit only. The bug is that t1.micro is not being offered
        Hide
        Marios Andreou added a comment -

        actually i don't think we need a jira for the lack of t1.micro either. Michal is waiting for his pull request to be acknowledged https://github.com/appoxy/aws/pull/106 before fixing that.

        Show
        Marios Andreou added a comment - actually i don't think we need a jira for the lack of t1.micro either. Michal is waiting for his pull request to be acknowledged https://github.com/appoxy/aws/pull/106 before fixing that.
        Hide
        Ramesh A added a comment -

        updated the ticket after discussing with david

        Show
        Ramesh A added a comment - updated the ticket after discussing with david
        Hide
        Michal Fojtik added a comment -

        This issue was resolved in upstream 'aws' gem:

        https://github.com/appoxy/aws/commit/373ba15d13f67c5fd251ab414a2d2d88f21a6a64

        Upstream was asked for gem update. After this update will be done this gem will be updated also for Fedora/RHEL.

        Show
        Michal Fojtik added a comment - This issue was resolved in upstream 'aws' gem: https://github.com/appoxy/aws/commit/373ba15d13f67c5fd251ab414a2d2d88f21a6a64 Upstream was asked for gem update. After this update will be done this gem will be updated also for Fedora/RHEL.
        Hide
        Ramesh A added a comment -

        This issue can be verified once the latest rubygem-aws-2.5.6 is available in Fedora/RHEL

        Show
        Ramesh A added a comment - This issue can be verified once the latest rubygem-aws-2.5.6 is available in Fedora/RHEL
        Hide
        Ramesh A added a comment -

        Verified and working fine on the commit - 8c89662e2394e2188be04ae0fbaa17a49acc4163

        Note: This requires latest release of aws-2.5.6.gem. QE tested by building up the aws gem locally by cloning their git repo (Thanks to Marios, for helping me to build the gem locally)

        Show
        Ramesh A added a comment - Verified and working fine on the commit - 8c89662e2394e2188be04ae0fbaa17a49acc4163 Note: This requires latest release of aws-2.5.6.gem. QE tested by building up the aws gem locally by cloning their git repo (Thanks to Marios, for helping me to build the gem locally)

          People

          • Assignee:
            Ramesh A
            Reporter:
            Ramesh A
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development